from pathlib import Path

from losoup.models import Software, Asset


class LocalFile:
    def __init__(self, software: Software):
        self.software = software

    def get_files_in_folder(self) -> list[str]:
        return [file.name for file in Path(self.software.folder).glob("*")]

    def is_file_present(self):
        files = self.get_files_in_folder()
        return self.software.filename in files

    def is_file_absent(self):
        return not self.is_file_present()

    def write_file(self, file: Asset) -> None:
        self.software.absolute_path.write_bytes(file.content)

    def delete_file(self):
        self.software.absolute_path.unlink()
